Get a mailbox message
curl --request GET \
--url https://app.sendmux.ai/api/v1/mailbox/messages/{message_id} \
--header 'Authorization: Bearer <token>'{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"data": {
"id": "<string>",
"thread_id": "<string>",
"folder_ids": [
"<string>"
],
"subject": "<string>",
"preview": "<string>",
"from": {
"email": "agent@example.com",
"name": "Support"
},
"to": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"cc": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"bcc": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"received_at": "<string>",
"sent_at": "<string>",
"size_bytes": 123,
"has_attachments": true,
"keywords": [
"$seen",
"$flagged",
"agent_triaged"
],
"flags": {
"seen": true,
"flagged": true,
"draft": true,
"answered": true
},
"text_body": "<string>",
"html_body": "<string>",
"attachments": [
{
"id": "<string>",
"filename": "<string>",
"content_type": "application/pdf",
"size_bytes": 123,
"disposition": "<string>",
"content_id": "<string>",
"download_url": "<string>"
}
]
}
}Messages
Get a mailbox message
Returns one message from the authenticated mailbox. Responses include a weak ETag header.
GET
/
mailbox
/
messages
/
{message_id}
Get a mailbox message
curl --request GET \
--url https://app.sendmux.ai/api/v1/mailbox/messages/{message_id} \
--header 'Authorization: Bearer <token>'{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"data": {
"id": "<string>",
"thread_id": "<string>",
"folder_ids": [
"<string>"
],
"subject": "<string>",
"preview": "<string>",
"from": {
"email": "agent@example.com",
"name": "Support"
},
"to": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"cc": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"bcc": [
{
"email": "agent@example.com",
"name": "Support"
}
],
"received_at": "<string>",
"sent_at": "<string>",
"size_bytes": 123,
"has_attachments": true,
"keywords": [
"$seen",
"$flagged",
"agent_triaged"
],
"flags": {
"seen": true,
"flagged": true,
"draft": true,
"answered": true
},
"text_body": "<string>",
"html_body": "<string>",
"attachments": [
{
"id": "<string>",
"filename": "<string>",
"content_type": "application/pdf",
"size_bytes": 123,
"disposition": "<string>",
"content_id": "<string>",
"download_url": "<string>"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.sendmux.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.
Headers
Path Parameters
Response
Message
Available options:
true Hide child attributes
Hide child attributes
Message ID
Active message keywords, including system flags and custom labels.
Example:
["$seen", "$flagged", "agent_triaged"]Hide child attributes
Hide child attributes
Attachment ID
Example:
"application/pdf"
Was this page helpful?
⌘I